import { commServer } from './server.js';

export default {
  namespaced: true,
  state: {
	  ifReloadData:false,//是否更新当前页面数据
  },
  mutations: {
	  comChangeState(state, {key, data}) {
	  	state[key] = data;
	  },
  },
  getters:{
  },
  actions: {
		commActions({ commit, state }, { payload }) {
			// payload = {key,data} // data是请求数据，key是请求接口id
             return commServer(payload);
		},
  }
}